classification
Title: python-config ldflags, PEP 513 and explicit linking to libpython in python extensions
Type: behavior Stage: resolved
Components: Distutils Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dimi, dstufft, eric.araujo, njs, steve.dower
Priority: normal Keywords:

Created on 2018-05-10 15:42 by dimi, last changed 2021-02-03 18:16 by steve.dower. This issue is now closed.

Messages (3)
msg316368 - (view) Author: dimi (dimi) Date: 2018-05-10 15:42
The python-config outputs ldflag for explicit linking to libpyhton, which is a good idea in many use cases. However, this is inconsistent with the PEP 513 recommendation for building manylinux1 python extensions (https://www.python.org/dev/peps/pep-0513/) that requires avoiding explicit linking to libpythonX.Y.so.1.
msg327997 - (view) Author: Nathaniel Smith (njs) * (Python committer) Date: 2018-10-18 19:17
Also, python-config is inconsistent with distutils. It should link to libpython only in the cases where distutils does. (IIRC it's supposed to depend on whether python was built with --enable-shared.)
msg386320 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:16
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:16:31steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386320

resolution: out of date
stage: resolved
2018-10-18 19:17:01njssetnosy: + njs
messages: + msg327997
2018-05-10 15:42:35dimicreate